unable to connect to database server

Ciao a tutti,

dopo aver seguito le vostre indicazioni per installare apache, mysql e php (nn smetterò mai di ringraziarvi, complimenti fatte veramente bene) ho provato ad installare Oscommerce ma l'installazione nn va avanti e mi appare il messaggio che ho dato al titolo, qualcuno sa indicarmi per caso come risolvere il problema e dove potrei reperire informazioni a riguardo. grazie mille. ciao

inviato 10 anni fa
wutangrob
X 0 X

Durante l'installazione ti ha chiesto di inserire dei dati tipo nome utente e password per l'accesso ad database?

risposto 10 anni fa
Gianni Tomasicchio
X 0 X

Ciao Gianni,

grazie per la tempestiva risposta. Ti spiego nei dettagli come sto cercando di affrontare il problema:

1)

su una macchina ho apache 2.0, Mysql 4.1 e Php 5. Tutto funziona perfettamente secondo la guida che avete messo sul sito, tuttavia invece della  Mysqli ho abilitato Mysql perchè posso impratichirmi un po' di più con altri script. Dopo aver abilitato nel php.ini register_globals su on ( altrimenti nn funzionava nulla, poi tanto gira tutto in locale ) ho provato ad installare OsCommerce. In questo caso l'installazione di OsCommerce si blocca allo step 2 e non va avanti, ogni volta che clicco su continua ottengo solo il refresh della pagina praticamente.

2)

Ho pensato che ci fosse un problema con php 5, perciò ho scaricato php4.2 e ho fatto i cambiamenti di rito, risultato tutto gira tranquillamente, ma quando provo ad installare OsCommerce pur essendo entrato nel php.ini e ho abilitato register_globals su on, ma niente da fare mi da errore e l'installazione nn inizia nemmeno, cioè nn fa che dirmi di ablitare register_globals nel php.ini

3)

ho provato allora con EasyPhp 1.8 che ho su un'altra macchina, l'installazione va avanti sino allo step3 ma si blocca e mi appare il messaggio seguente:

Can't connect to MySQL server on 'localhost' (10061)

sinceramente nn so che fare, avresti qualche idea in proposito. mille grazie

 

risposto 10 anni fa
wutangrob
X 0 X

Conosco OsCommerce ma non l'ho mai installato. Ti posso solo consigliare di spulciarti la guida di installazione per verificare i requisiti e la procedura da seguire. Se non fosse sufficiente potresti scrivere sul forum di OsCommerce Italia:

http://www.oscommerceitalia.com/forums/

 :bye:

risposto 10 anni fa
Gianni Tomasicchio
X 0 X

Io ho riscontrato simile problema,

ho installato con successo Apache/2.0.55 (Win32) PHP/5.0.1  e MySQL  4.1.18 (dal file mysql-essential-4.1.18-win32.msi),phpMyAdmin-2.8.0-beta1 seguendo le istruzioni pubblicate sul vostro sito. Ho fatto tutti i test per verificare se funziona tutto e non ce stata nessun risposta negativa.

Ma quando cerco di far funzionare vari portal (phpbb-forum, joomla, mambo, phpnuke) come risposta ricevo che non è possibile connetere mysql. Nei files di configurazione scrivo username e password del MYSQL installato (che per asempio phpmyadmin connete senza problemi) ma non succede niente.

Che devo fare?

p.s

con la versione del mysql 4.0.1 (Client API version  3.23.49  ) tutto funzionava

risposto 10 anni fa
Mrmot
X 0 X

che estensione carichi, mysql o mysqli?

risposto 10 anni fa
Gianni Tomasicchio
X 0 X

mysqli,  e di questo sono sicuro perche legendo i consigli che hai dato ad alcuni utenti qui credevo che magari li che sbagliavo. invece no, l'estensione era quella giusta e soltanto phpmyadmin (ultima versione) non crea i problemmi

a cosa dovrei fare attenzione consultando quella pagina di configurazione php (php info)? sezioni mysql e mysqli o c'e magari qualcosa altro che ho tralasciato?

Zeljko

www.maglaj.info

risposto 10 anni fa
Mrmot
X 0 X

Per far girare la maggiorparte dei programmi php (forum, CMS, ecc.) è necessario caricare l'estensione mysql. mysqli è più recente e ancora poco supportata. phpMyAdmin è una delle poche eccezioni.

Quindi carica questa estensione, senza togliere mysqli, e vedi se ci sono ancora problemi.

 :bye:

risposto 10 anni fa
Gianni Tomasicchio
X 0 X
Effettua l'accesso o registrati per rispondere a questa domanda